putty_0.67-2_amd64.deb


Advertisement

Description

putty - Telnet/SSH client for X

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: putty
Package version: 0.67
Package release: 2
Package architecture: amd64
Package type: deb
Installed size: 946 B
Download size: 313.01 KB
Official Mirror: archive.ubuntu.com
This is the Unix port of the popular Windows SSH client, PuTTY. It supports flexible terminal setup, mid-session reconfiguration using Ctrl-rightclick, multiple X11 authentication protocols, and various other interesting things not provided by ssh in an xterm.

Alternatives

    Download

    Binary package: putty_0.67-2_amd64.deb
    Source package: putty

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install putty deb package:
      # sudo apt-get install putty

    Files

    • /usr/bin/putty
    • /usr/share/applications/putty.desktop
    • /usr/share/doc/putty/changelog.Debian.gz
    • /usr/share/doc/putty/copyright
    • /usr/share/man/man1/putty.1.gz
    • /usr/share/menu/putty
    • /usr/share/pixmaps/putty.png
    • /usr/share/pixmaps/putty.xpm

    Changelog

    2016-03-18 - Colin Watson <cjwatson@debian.org> putty (0.67-2) unstable; urgency=medium * Backport from upstream: - Add command-line passphrase-file options to command-line PuTTYgen.

    2016-03-06 - Colin Watson <cjwatson@debian.org> putty (0.67-1) unstable; urgency=high * New upstream release. - CVE-2016-2563: Fix buffer overrun in the old-style SCP protocol (closes: #816921).

    2016-02-05 - Colin Watson <cjwatson@debian.org> putty (0.66-4) unstable; urgency=medium * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb. * Fix misleading-indentation and strict-aliasing warnings from GCC 6 (closes: #811581).

    2016-01-04 - Colin Watson <cjwatson@debian.org> putty (0.66-3) unstable; urgency=medium * Add a Homepage field. * Add Keywords fields to pterm.desktop and putty.desktop. * Build with large file support.

    2015-11-24 - Colin Watson <cjwatson@debian.org> putty (0.66-2) unstable; urgency=medium * Fix dh_fixperms override to work properly with an architecture-independent-only build (closes: #806098). * Do much less work in architecture-independent-only builds. * Fix build failure on GNU/Hurd (closes: #805505).

    2015-11-07 - Colin Watson <cjwatson@debian.org> putty (0.66-1) unstable; urgency=high * New upstream release. - CVE-2015-5309: Fix a potentially memory-corrupting integer overflow in the handling of the ECH (erase characters) control sequence in the terminal emulator. * Use dh-exec to remove the need to override dh_install. * Add OpenPGP signature checking configuration to watch file.

    2015-08-23 - Colin Watson <cjwatson@debian.org> putty (0.65-2) unstable; urgency=medium * Backport from upstream: - Performance: cache character widths returned from Pango (closes: #792258).

    2015-07-28 - Colin Watson <cjwatson@debian.org> putty (0.65-1) unstable; urgency=medium * New upstream release.

    2015-06-14 - Colin Watson <cjwatson@debian.org> putty (0.64-1) unstable; urgency=medium * New upstream release. - Support sharing an SSH connection between multiple instances of PuTTY and its tools. - Add a command-line and config option to specify the expected host key(s).

    2015-03-01 - Colin Watson <cjwatson@debian.org> putty (0.63-10) unstable; urgency=medium * Backport from upstream: - Make kh2reg.py compatible with modern Python. - MATTA-2015-002: Enforce acceptable range for Diffie-Hellman server value. - Fix an erroneous length field in SSH-1 key load. - CVE-2015-2157: Fix failure to clear sensitive private key information from memory (closes: #779488).

    Advertisement
    Advertisement